Search documentation of ExStreamClient

# ExStreamClient.Model.UpdateChannelRequest (ExStreamClient v0.1.10)

View Source

Schema representing a UpdateChannelRequest

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.UpdateChannelRequest{
      accept_invite: boolean() | nil,
      add_members: [ExStreamClient.Model.ChannelMember.t()] | nil,
      add_moderators: [String.t()] | nil,
      assign_roles: [ExStreamClient.Model.ChannelMember.t()] | nil,
      cooldown: integer() | nil,
      data: ExStreamClient.Model.ChannelInput.t() | nil,
      demote_moderators: [String.t()] | nil,
      hide_history: boolean() | nil,
      invites: [ExStreamClient.Model.ChannelMember.t()] | nil,
      message: ExStreamClient.Model.MessageRequest.t() | nil,
      reject_invite: boolean() | nil,
      remove_members: [String.t()] | nil,
      skip_push: boolean() | nil,
      user: ExStreamClient.Model.UserRequest.t() | nil,
      user_id: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()